import javax.swing.*;
import java.awt.event.*;
import Kit.*;

/**
 * Ce boutton va contenir une recette
 */
public class BouttonRecette extends JButton implements ActionListener{
	Recette recette;//recette contenu dans le bouton
	Distributeur distributeur;//lien vers le distributeur
	
        
    /**
     * Construit le bouton
     * @param r Prend une recette qui sera active lors de la selection
     * @param dist le distributeur contenant le bouton
     */
        public BouttonRecette(Recette r,Distributeur dist){
		recette=r;
		distributeur=dist;
                //on demande a se que la fonction ci dessous soit activer lorsque l'on clique sur le boutont
		addActionListener(this);
		setText(r.toString());//on recupere le nom de la recette
	}
	
    /**
     * Lorsqu'on appuis dessus on donne au distributeur un gobelet issus de cette recette.
     * @param event Evenement sur le bouton
     */
	public void actionPerformed(ActionEvent event){
		distributeur.GiveGobelet(recette.doRecette());
	}
}		
