package Kit;



import java.awt.Color;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.Graphics;
import javax.swing.JPanel;
/*
 * Gobelet.java
 *
 * Created on 22 octobre 2007, 21:11
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

/**
 * Le gobelet contient n ingrediants. et affiche les ingredient dans un JPANEL
 * @author moi
 */
public class Gobelet extends JPanel {
     Ingredient dedans[];
    /** Creates a new instance of Gobelet */
    private Gobelet() {
    }
    /**
     * lorsqu'on cree le gobelet on donne un tableau d'ingredient
     * @param dedans tableau d'ingredient
     */
    public Gobelet(Ingredient[] dedans){
        this.setSize(200,300);//on defini la taille du panneau
        this.setPreferredSize(new Dimension(200,300));//ainsi que la taille prefere du panneau
        this.setAlignmentX(Component.CENTER_ALIGNMENT);//on voudrai qu'il soit centrer
        this.dedans=dedans;//et on resigne ce qu'il y a dedans
        
    }
    /**
     * C'est la parti qui va permetre d'afficher les ingredient graphiquement
     * @param g Graphics
     */
    public void paintComponent(Graphics g){
        final int coeff=6;//on defini un coefficiant d'epaisseur de chaque element par rapport a leur quantitee'
        int a=290;//ca c'est le font du verre
        super.paintComponent(g);//on appele le pere pour effacer le panneau
        
        
        for (int i=0 ;i<dedans.length;i++){//on parcour la liste des ingredient
            if(dedans[i].getType()==Ingredient.TypeIngrediant.EAU)//on elimine l'eau qu'on mettra a la fin'
                continue;
            g.setColor(dedans[i].getColor());//on recupere la couleur de l'ingredient'
            g.fillRect(11,a-coeff*dedans[i].getQuantitee(),179,coeff*dedans[i].getQuantitee());//on dessine la bande
            g.setColor(Color.BLACK);//on repasse en noir
            g.drawString(dedans[i].toString(),13,a-coeff*dedans[i].getQuantitee()/2+4);//on ecrit le nom 
            a-=coeff*dedans[i].getQuantitee();//on met a jour 'a' pour que se soit le debu de la prochaine bande
            
        }
        g.setColor(Ingredient.TypeIngrediant.EAU.getColor());//on dessine l'eau'
        g.fillRect(11,11,179,a-11);
        g.setColor(Color.BLACK);
        g.drawString("Eau",13,(a-11)/2+11);
        g.drawLine(10,5,10,290);//on dessine les bord du gobelet
        g.drawLine(190,5,190,290);
        g.drawLine(10,290,190,290);
    }
}
