import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import Kit.*;
/*
 * BouttonSucre.java
 *
 * Created on 22 octobre 2007, 23:04
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

/**
 * Bonton reserve pour le sucre
 * @author moi
 */
public class BouttonSucre extends JButton implements ActionListener {
    int n;
    Distributeur dist;
    /**
     * prend la quantit et un distributeur comme argument
     * @param n Quantitee de sucre du bouton
     * @param dist distributeur contenant ce bouton
     */
    public BouttonSucre(int n,Distributeur dist) {//Constructeur a besoin de la quantite de sucre et du distributeur pour afficher la dose
        super();
        this.n=n;
        setText("<html> <p style=\"color:green\">Sucre "+n+ " g</p></html>");//Couleur verte voir HTML
        this.dist=dist;
        addActionListener(this);//ajoute l'action listener en lio meme
        
        
    }

    /**
     * Active le sucre
     */
    public void actionPerformed(ActionEvent actionEvent) {
        Recette.setSucre(n);
        dist.affiche(""+n+"g de sucre. Selectionnez une boisson.");
    }
    
    
}
